/*****************************************************************************
	Module : Graph.h
	Contents : Class declarations for classes that display a graph window.
	grphWin is the window itself, GraphPane is the drawing surface.
*****************************************************************************/
#ifndef COVGRAPH_H
#define COVGRAPH_H
#include <v/vcanvas.h>

/****************************************************************************
	Class : GraphPane
	Purpose : Encapsulates the drawing surface of a graph window.
****************************************************************************/

class CovGraphPane : public vCanvasPane
{
	//Variables used in computing screen positions of graph elements
	int LeftMargin;
	int TopMargin;
	int FontHeight;
	int FontWidth;
	int BottomMargin;
	int RightMargin;
	int Height;
	int Width;
	double Xextent;
	double Yextent;
	double Xint;
	double Yint;
	double Mark;

	int data;
	void PlotLines(int);
	void PlotLine(double*,double*,int); //Function that actually draws the screen
				
   public :
	CovGraphPane(void);

	void Redraw(int,int,int,int); //Called whenever the screen needs updating
	void Resize(int,int); //Handels resizing events
	void SetDataSet(int);
   void HScroll(int);
   void HPage(int,int);
};

/******************************************************************************
	Class: grphWin
   Purpose : grphWin is the window type that holds a graph pane, and handles
   			 any command orginating in the graph window
******************************************************************************/

class covgrphWin : public vCmdWindow
{
  CovGraphPane* gp;
  vMenuPane* mp;
  public :
    covgrphWin(void);
  ~covgrphWin(void);
  void SetDataSet(int);
  virtual void CloseWin(void);
};

#endif
