/*****************************************************************
  Module : help.h
  Contents : Class declarations for HelpEntry and HelpList. These
  classes manage the list of help topics, and their accompaning
  text.
******************************************************************/
#ifndef H_HELP
#define H_HELP
//The maxium lines of text in a help entry
#define MAX_LINES 32

/****************************************************************
  Class : HelpEntry
  Purpose : To hold an entry in the help system.
****************************************************************/

class HelpEntry {
public:
  HelpEntry(void);
  ~HelpEntry(void);

  void SetName(char*);
  void AddLine(char*);

  char* name;
  char* text[MAX_LINES];
  int numlines;
};

/****************************************************************
  Class : HelpList
  Purpose : To manage a list of help topics.
****************************************************************/

class HelpList {
  HelpEntry* data;
  HelpList* next;
public:
  HelpList(void);
  ~HelpList(void);

  int LoadTopics(char*);
  HelpEntry* NewEntry(void);
  HelpEntry* operator[](int);
};

#endif
