/****************************************************************************
  Module: helpwin.h
  Contents: Class declarations for the help window, the help text pane,
  and the help topics dialog.
*****************************************************************************/

#ifndef HELPWIN_H
#define HELPWIN_H

#include <v/vtextcnv.h>
#include <v/vcmdwin.h>
#include <v/vdialog.h>
#include "help.h"

/****************************************************************************
  Class: helpDialog
  Purpose: A dialog to handel user help requests.
*****************************************************************************/

class helpDialog : public vDialog
{
  HelpList topics;
public:
   helpDialog(vApp* t);
   char* list[32];
   void DialogCommand(ItemVal, ItemVal, CmdType);
};

/***************************************************************************
  Class: helpPane
  Purpose: To handle the display of help text in a help window.
****************************************************************************/

class helpPane : public vTextCanvasPane
{
  HelpEntry* topic;
public :
  helpPane(void);  
  void ShowDataSet(int);
  void SetTopic(HelpEntry*); 
};

/****************************************************************************
  Class: helpWin
  Purpose: To handle the commands and basic processing for a window that
  displays help text.
*****************************************************************************/

class helpWin : public vCmdWindow
{
  helpPane* tp;
  
  public :
  helpWin(char*,int,int);
  ~helpWin(void) {delete tp;}
  
  virtual void CloseWin(void);
  void SetTopic(HelpEntry*);
};
#endif










