#include <stdio.h>
#include <fstream.h>
#include "robapp.h"
#include "modinfo.h"
#include "proto.h"
#include "platform.h"
#include <math.h>

infoWin::infoWin(char* name, int h, int w)
  : vCmdWindow(name,w,h)
{
  tp = new infoPane;
  AddPane(tp);
  ShowWindow(); 
  vFont myfont(vfSerif,FntSize);
  tp->SetFont(myfont);
}

void infoWin::CloseWin(void)
{
  myApp->CloseNotify(this);
  vCmdWindow::CloseWin();
}
/*
void CovDefEst(CoverageDataSet* data)
{
  int rsize = data->Size;
  double a0,a1,a2;
  int NRC_ERROR_FLAG = 0;
  double ddest;
  for (int i = 2; i <= rsize; i++) {
    data->Size = i;
    CovFit(data,3,a0,a1,a2);
    if (!NRC_ERROR_FLAG) {
      ddest = a0 * log(1 + a1 * (exp(a2)-1));
      printf("%d\t%9.3f\n",i,ddest);
    }
  }  
}*/

void infoPane::ShowModelInfo(void) {
  char buf[64];
  Clear();

  if (myApp->ModData) { //failure data
    sprintf(buf,"%s Model\n",myApp->Params.mname);
    DrawText(buf);

    sprintf(buf,"Beta 0 : %5.5f\nBeta 1: %3.7f\n",myApp->Params.beta0,
	    myApp->Params.beta1);
    DrawText(buf);
   
    if (myApp->Params.mtype != Static) { //might be static model
      FailureDataSet* fd = myApp->OrgData;
      if (myApp->SmthData) fd = myApp->SmthData;

      sprintf(buf,"MRE : %3.2f\n",MRE(fd,myApp->Params.modfunc,
				      myApp->Params.fitfunc,
				      myApp->Params.recalibrate,
				      &(myApp->StatMet),
				      myApp->Params.statfunc,
				      myApp->Params.fit_type));
      DrawText(buf); 
      sprintf(buf,"MPE : %3.2f\n",MPE(fd,myApp->Params.modfunc,
				      myApp->Params.fitfunc,
				      myApp->Params.recalibrate,
				      &(myApp->StatMet),
				      myApp->Params.statfunc,
				      myApp->Params.fit_type));
      DrawText(buf); 
      
      double ibias = myApp->ModData->Failure_Data[fd->Size - 1].intensity - 
	fd->Failure_Data[fd->Size - 1].intensity;
      double cbias = myApp->ModData->Failure_Data[fd->Size - 1].count - 
	fd->Failure_Data[fd->Size - 1].count;
      sprintf(buf,"Count Bias : %2.2f\nIntensity Bias : %2.2f\n",cbias,ibias);
      DrawText(buf);
      double lp = LaplaceFactor(myApp->OrgData);
      sprintf(buf,"Laplace Factor: %3.4f\n",lp);
      DrawText(buf);
    }/*
    else { //it is static
      sprintf(buf,"Defect Density: %2.3f\n",myApp->StatMet.DefectDensity());
      DrawText(buf);
    } */
  }

  else if (myApp->CovModData) {
    sprintf(buf,"Coverage Model\n");
    DrawText(buf);
    sprintf(buf,"Alpha 0: %2.5f\nAlpha 1: %2.5g\nAlpha 2: %5.5f\n",
	    myApp->Params.alpha0,myApp->Params.alpha1,myApp->Params.alpha2);
    DrawText(buf);
    //CovDefEst(myApp->CovData);
    float ddest = myApp->Params.alpha0 * log(1 + myApp->Params.alpha1 *
					(exp(myApp->Params.alpha2)-1));
    sprintf(buf,"Initial Defects: %5.2f\n",ddest);
    DrawText(buf);
  }
}
