/*******************************************************************************
	Module: Numsel.h
   Contents: Class declaration for number selection dialog box
*******************************************************************************/
#include <v/vapp.h>
#include <v/vmodald.h>

//Ids for dialog box command elements
#define m_SldVal 201
#define m_Slide 202
#define m_Space1 203
#define m_Space2 204

/***************************************************************************
Class: numSelDiag
Purpose: To display a dialog box allowing the user to select a number within
a given range. Base class for int/fltSelDiag classes. Use these to
allow selection of integer and floating point numbers repectively.
****************************************************************************/
class numSelDiag : public vModalDialog
{
protected:
	char nstr[8];

	virtual void SetStringValue(int) {};
public :
	numSelDiag(char* title);

   virtual void DialogCommand(ItemVal, ItemVal, CmdType);
};

class intSelDiag : public numSelDiag
{
	int Low, High;

   virtual void SetStringValue(int);
   int Num2Slide(int);
   int Slide2Num(int);
public :
	intSelDiag(char*, int, int, int);
   int GetNum(char*);
};

class fltSelDiag : public numSelDiag
{
	float Low, High;

   virtual void SetStringValue(int);
   int Num2Slide(float);
   float Slide2Num(int);
public :
	fltSelDiag(char*, float, float, float);
   float GetNum(char*);
};
