/***************************************************************************
  Module StatMet.cpp
  Contents : Function definitions for StaticMetrics class.
*****************************************************************************/
#include <stdio.h>
#include <math.h>
#include "datatype.h"

/****************************************************************************
  Constructor : StaticMetrics
  Parameters : None
****************************************************************************/

StaticMetrics::StaticMetrics(void)
{
  Constant = 10.0;
  Structure = 1;
  Phase = 1;
  Prog_Team = 1;
  Maturity = 1;
  CPUrate = 4.0;
  Instructions = 4;
  Size = 10;
  Alpha = 10.0;
  EstType = 0;
  Time = 50000.0;
}

/***************************************************************************
  Method : DefectDensity
  Returns : The defect density given by a set of static metrics.
  Purpose : To compute the defect density for a set of static metrics.
****************************************************************************/

double StaticMetrics::DefectDensity(void)
{
  return Constant * Structure * Phase * Prog_Team * Maturity;
}
