/*****************************************************************************
  Module: Stdgdef.h
  Contents: Definitions and declaration used by the StatMetDiag Class, put here
  to make changes easier.
*****************************************************************************/
#include "platform.h"

//Dialog box elements
#define m_frm1 301
#define m_frm2 302
#define m_frm3 303
#define m_frm4 304
#define m_lbl1 305
#define m_lbl2 306
#define m_lbl3 307
#define m_lbl4 308
#define m_lbl5 309
#define m_lbl6 310
#define m_lbl7 311
#define m_lbl8 312
#define m_lbl9 313
#define m_lbl10 314
#define m_Const 315
#define m_Phase 316
#define m_Team 317
#define m_Mature 318
#define m_StrctNum 319
#define m_Struct 320
#define m_CPU 321
#define m_Alpha 322
#define m_Srcobj 324
#define m_Size 325
#define m_Hide 326
#define m_Set 327
#define m_Time 329
#define m_EstType 330
#define m_txt1 331
#define m_txt2 332
#define m_txt3 333
#define m_txt4 334
#define m_frma 335
#define m_frmb 336
#define m_txt5 337
#define m_frmc 338
#define m_txt6 339
#define m_txt7 340
#define m_txt8 341
#define m_txt9 342
#define m_txt10 343
#define m_txt11 344
#define m_txt12 345
#define m_txt13 346
#define m_txt14 347
#define m_txt15 348
#define m_txt16 349

//List of Phases
static const char* phaselist[] = {
   "Unit Testing",
   "Subsystem Testing",
   "System Testing",
   "Operation Testing",
    NULL
};

//List of Team Levels
static const char* teamlist[] = {
  "High",
  "Average",
  "Low",
  NULL
};

//List of maturity levels
static const char* matlist[] = {
   "Initial - 1",
   "Repeatable - 2",
   "Defined - 3",
   "Managed - 4",
   "Optimized - 5",
   NULL
};

//Elements of the dialog box
static CommandObject cmdlist[] = {
  {C_Frame,m_frmb,0,"",NoList,CA_None,isSens,NoFrame,0,0,0},
  {C_Label,m_txt3,0,"           Development Process",NoList,CA_None,isSens,m_frmb,0,0,0},
  {C_Label,m_txt4,0,"These parameters describe the development process",NoList,CA_None,isSens,m_frmb,0,m_txt3,0},

  {C_Frame,m_frm1,0,"",NoList,CA_None,isSens,NoFrame,0,m_frmb,300},
  {C_Label,m_lbl1,0,"Constant",NoList,CA_None,isSens,m_frm1,0,0,0},
  {C_Label,m_lbl2,0,"Phase",NoList,CA_None,isSens,m_frm1,0,m_lbl1,0},
  {C_Label,m_lbl3,0,"Dev. Team",NoList,CA_None,isSens,m_frm1,0,m_lbl2,0},
  {C_Label,m_lbl4,0,"Maturity",NoList,CA_None,isSens,m_frm1,0,m_lbl3,0},
  {C_Label,m_lbl5,0,"Structure",NoList,CA_None,isSens,m_frm1,0,m_lbl4,0},//8

  {C_Frame,m_frm2,0,"",NoList,CA_None,isSens,NoFrame,m_frm1,m_frmb,0},
  {C_TextIn,m_Const,0,NULL,NoList,CA_Small,isSens,m_frm2,0,0,0},//10
  {C_ComboBox,m_Phase,2,"",phaselist,CA_Small,isSens,m_frm2,0,m_Const,0},
  {C_ComboBox,m_Team,1,"",teamlist,CA_Small,isSens,m_frm2,0,m_Phase,0},
  {C_ComboBox,m_Mature,1,"",matlist,CA_Small,isSens,m_frm2,0,m_Team,0},
  {C_Label,m_StrctNum,0,"   ",NoList,CA_None,isSens,m_frm2,0,m_Mature,0},//14
  {C_Slider,m_Struct,0,"",NoList,R_Slider,isSens,m_frm2,m_StrctNum,m_Mature,0},

  {C_Frame,m_frma,0,"",NoList,CA_None,isSens,NoFrame,0,m_frm2,0},
  {C_Label,m_txt1,0,"          Finished System",NoList,CA_None,isSens,m_frma,0,0,0},
  {C_Label,m_txt2,0,"These parameters describe the",NoList,CA_None,isSens,m_frma,0,m_txt1,0},
  {C_Label,m_txt5,0,"characteristics of the finished system",NoList,CA_None,isSens,m_frma,0,m_txt2,0},
 
  {C_Frame,m_frm3,0,"",NoList,CA_None,isSens,NoFrame,0,m_frma,0},
  {C_Label,m_lbl6,0,"CPU Rate",NoList,CA_None,isSens,m_frm3,0,0,0},
  {C_TextIn,m_CPU,0,"",NoList,CA_Small,isSens,m_frm3,m_lbl6,0,0}, //22
  {C_Label,m_lbl7,0,"Alpha",NoList,CA_None,isSens,m_frm3,m_CPU,0,0},
  {C_TextIn,m_Alpha,0,"",NoList,CA_Small,isSens,m_frm3,m_lbl7,0,0},//24
  {C_Label,m_lbl8,0,"Src/Obj ",NoList,CA_None,isSens,m_frm3,0,m_lbl6,0},
  {C_TextIn,m_Srcobj,0,"",NoList,CA_Small,isSens,m_frm3,m_lbl8,m_CPU,0}, //26
  {C_Label,m_lbl10,0,"Time ",NoList,CA_None,isSens,m_frm3,m_Srcobj,m_lbl7,0},
  {C_TextIn,m_Time,0,"",NoList,CA_Small,isSens,m_frm3,m_lbl10,m_Alpha,0}, //28
  {C_Label,m_lbl9,0,"KLOC    ",NoList,CA_None,isSens,m_frm3,0,m_lbl8,0},
  {C_TextIn,m_Size,0,"",NoList,CA_Small,isSens, //30
   m_frm3,m_lbl9,m_Srcobj,0},
  {C_CheckBox,m_EstType,0,"Direct Estimation",NoList,
   CA_None,isSens,m_frm3,m_Size,m_lbl10,0},

  
  {C_Frame,m_frmc,0,"",NoList,CA_None,isSens,NoFrame,0,m_frm3,0},
  {C_Label,m_txt6,0,"      Model Parameters      ",
   NoList,CA_None,isSens,m_frmc,0,0,0},
  {C_Label,m_txt7,0,"Exponential   ",NoList,CA_None,isSens,m_frmc,0,m_txt6,0},
  {C_Label,m_txt8,0,"   Logarithmic",NoList,CA_None,isSens,m_frmc,m_txt7,m_txt6,0},
  {C_Label,m_txt9,0,"Beta 0:",NoList,CA_None,isSens,m_frmc,0,m_txt7,0}, 
  {C_Label,m_txt10,0,"            ",NoList,CA_None,isSens,m_frmc,m_txt9,m_txt7,0},//37
  {C_Label,m_txt11,0,"Beta 1:",NoList,CA_None,isSens,m_frmc,0,m_txt9,0},
  {C_Label,m_txt12,0,"            ",NoList,CA_None,isSens,m_frmc,m_txt11,m_txt10,0},//39
  {C_Label,m_txt13,0,"Beta 0:",NoList,CA_None,isSens,m_frmc,m_txt10,m_txt8,0},
  {C_Label,m_txt14,0,"            ",NoList,CA_None,isSens,m_frmc,m_txt13,m_txt8,0},//41
  {C_Label,m_txt15,0,"Beta 1:",NoList,CA_None,isSens,m_frmc,m_txt12,m_txt13,0},
  {C_Label,m_txt16,0,"            ",NoList,CA_None,isSens,m_frmc,m_txt15,m_txt14,0},//43
  
  {C_Frame,m_frm4,0,"",NoList,CA_None,isSens,NoFrame,0,m_frmc,0},
  {C_Button,m_Hide,m_Hide," Hide ",NoList,CA_None,isSens,m_frm4,0,0,SBUTTSIZE},
  {C_Button,m_Set,m_Set," Set ",NoList,CA_None,isSens,
   m_frm4,m_Hide,0,SBUTTSIZE},
  {C_EndOfList,0,0,0,0,CA_None,0,0,0}
};







