/****************************************************************************
  Module: Txtwin.h
  Contents: Class declarations for the classes used to diaply a text view of
  failure data.
*****************************************************************************/
#ifndef TXTWIN_H
#define TXTWIN_H
#include <v/vtextcnv.h>
#include <v/vcmdwin.h>

/***************************************************************************
  Class: txtPane
  Purpose: To handle the display of text in the window, this class encapsulates
  the drawing surface.
*******************************************************************************/

class txtPane : public vTextCanvasPane
{
  public :
    void ShowDataSet(int);
  virtual void ResizeText(int,int);
  void VScroll(int);
  void VPage(int,int);

  int data;
  int shown;
};

/****************************************************************************
  Class: txtWin
  Purpose: To handle the commands and basic processing for a window that
  displays a textual view of the data.
*****************************************************************************/

class txtWin : public vCmdWindow
{
  txtPane* tp;
  vMenuPane* mp;
  
  public :
    txtWin(char*,int,int);
  ~txtWin(void);
  
  virtual void CloseWin(void);
  void Clear(void);
  void SetDataSet(int);
  int data;
};
#endif
